> ![MikroE](http://www.mikroe.com/img/designs/beta/logo_small.png)
> #Flash 2 Click#
> ##By [MikroElektronika](http://www.mikroe.com)
---

## Installation
Use the package manager to install the library for your architecture.

###Example on PIC32
```
#include <stdint.h>
 
sbit FLASH_2_HLD at RC1_bit;
sbit FLASH_2_HLD_DIR at TRISC1_bit;
sbit FLASH_2_CS at RC2_bit;
sbit FLASH_2_CS_DIR at TRISC2_bit;
sbit FLASH_2_WP at RD0_bit;
sbit FLASH_2_WP_DIR at TRISD0_bit;

void setup()
{

   FLASH_2_HLD_DIR = 0;
   FLASH_2_WP_DIR  = 0;
   FLASH_2_CS_DIR  = 0;

   SPI3_Init_Advanced( _SPI_MASTER,
                                        _SPI_8_BIT,
                                        80,
                                        _SPI_SS_DISABLE,
                                        _SPI_DATA_SAMPLE_MIDDLE,
                                        _SPI_CLK_IDLE_LOW,
                                        _SPI_IDLE_2_ACTIVE );
  Delay_ms(300);

}

```

```
// Main function

int main(void)
{
    setup();

    flash_2_init();
    Delay_ms(300);
    
    while(1)
    {}

}
```

